## org.eclipse.emf.ocl.uml.util
Class UMLSwitch

    java.lang.Object
      org.eclipse.emf.ocl.uml.util.UMLSwitch

Deprecated. Use the `EcoreSwitch` class, instead.

    @Deprecated
    public class UMLSwitch

extends Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `UMLPackage`

Field Summary
`static String` `copyright` Deprecated.
`protected static UMLPackage` `modelPackage` Deprecated. The cached model package

Constructor Summary
`UMLSwitch()` Deprecated. Creates an instance of the switch

Method Summary
`Object` `caseCallOperationAction(CallOperationAction object)` Deprecated. Returns the result of interpretting the object as an instance of 'Call Operation Action'
`Object` `caseConstraint(Constraint object)` Deprecated. Returns the result of interpretting the object as an instance of 'Constraint'
`Object` `caseEModelElement(EModelElement object)` Deprecated. Returns the result of interpretting the object as an instance of 'EModel Element'
`Object` `caseENamedElement(ENamedElement object)` Deprecated. Returns the result of interpretting the object as an instance of 'ENamed Element'
`Object` `caseSendSignalAction(SendSignalAction object)` Deprecated. Returns the result of interpretting the object as an instance of 'Send Signal Action'
`Object` `caseTypedElement(TypedElement object)` Deprecated. Returns the result of interpretting the object as an instance of 'Typed Element'
`Object` `caseVisitable(Visitable object)` Deprecated. Returns the result of interpretting the object as an instance of 'Visitable'
`Object` `defaultCase(EObject object)` Deprecated. Returns the result of interpretting the object as an instance of 'EObject'
`protected Object` `doSwitch(EClass theEClass, EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`Object` `doSwitch(EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected Object` `doSwitch(int classifierID, EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### modelPackage

    protected static UMLPackage modelPackage

  Deprecated.
  The cached model package

Constructor Detail

### UMLSwitch

    public UMLSwitch()

  Deprecated.
  Creates an instance of the switch.

Method Detail

### doSwitch

    public Object doSwitch(EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected Object doSwitch(EClass theEClass,
                              EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected Object doSwitch(int classifierID,
                              EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseCallOperationAction

    public Object caseCallOperationAction(CallOperationAction object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Call Operation Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Call Operation Action'.
  See Also:
    `doSwitch(EObject)`

### caseConstraint

    public Object caseConstraint(Constraint object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseSendSignalAction

    public Object caseSendSignalAction(SendSignalAction object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Send Signal Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Send Signal Action'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public Object caseTypedElement(TypedElement object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public Object caseEModelElement(EModelElement object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public Object caseENamedElement(ENamedElement object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseVisitable

    public Object caseVisitable(Visitable object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Visitable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Visitable'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public Object defaultCase(EObject object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.